Buf(1)

NAME
buf-ls-files - List Protobuf files

SYNOPSIS
buf ls-files [flags]

DESCRIPTION
The first argument is the source, module, or image to list from, which must be one of format [binpb,dir,git,json,mod,protofile,tar,txtpb,yaml,zip]. This defaults to "." if no argument is specified.

OPTIONS
--config=""
    The buf.yaml file or data to use for configuration

--disable-symlinks[=false]
    Do not follow symlinks when reading sources or configuration from the local filesystem By default, symlinks are followed in this CLI, but never followed on the Buf Schema Registry

--exclude-path=[]
    Exclude specific files or directories, e.g. "proto/a/a.proto", "proto/a" If specified multiple times, the union is taken

--format="text"
    The format to print the .proto files. Must be one of [text,json,import]

-h, --help[=false]
    help for ls-files

--include-importable[=false]
    Include all .proto files that are importable by the input. --include-imports is redundant if this is set

--include-imports[=false]
    Include imports

--path=[]
    Limit to specific files or directories, e.g. "proto/a/a.proto", "proto/a" If specified multiple times, the union is taken

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf(1)

HISTORY
17-Jan-2025 Auto generated by spf13/cobra